<?php

/**

 * Cobalt by MintJoomla

 * a component for Joomla! 1.7 - 2.5 CMS (http://www.joomla.org)

 * Author Website: http://www.mintjoomla.com/

 * @copyright Copyright (C) 2012 MintJoomla (http://www.mintjoomla.com). All rights reserved.

 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html

 */

defined('_JEXEC') or die();



$class[] = 'inputbox';

$class[] = $this->params->get('core.field_class');

$required = NULL;

if($this->required)

{

	$class[] = 'required';

	$required = ' required="true" ';

}



$class	= ' class="'.implode(' ', $class).'" ';

$required = $required;



$prep = $this->params->get('params.prepend', NULL);

$app = $this->params->get('params.append', NULL);

$labelmin = $this->params->get('params.label_min', NULL);

$labelmax = $this->params->get('params.label_max', NULL)

?>



<style type="text/css">

	.from-to {font-size: 13px; margin-right: 5px;}

</style>

<div class="<?php if($prep) {echo ' input-prepend';} if($app) {echo ' input-append';}?>">

	<?php if($labelmin):?>

		<span class="from-to"><?php echo $labelmin;?></span>

	<?php endif; ?>

	<?php if($prep):?>

		<span class="add-on"><?php echo $prep;?></span>

	<?php endif; ?>

	<select name="jform[fields][<?php echo $this->id;?>][]" class="elements-list cobalt-chosen" id="form_field_list_<?php echo $this->id;?>_0" <?php echo $required . $style;?>>

	<option value=""><?php echo JText::_($this->params->get('params.'.($this->params->get('params.sql_source') ? "sql_" : null).'label', 'S_CHOOSEVALUE'));?></option>

<?php

$selected = ($this->value[0] ? $this->value[0] : $this->params->get('params.selected'));



if(!is_array($this->value[0])) settype($this->value[0], 'array');



foreach($this->values1 as $key => $line):

	$atr = '';

	if (is_string($line))

		$val = explode($this->params->get('params.color_separator', "^"), $line);

	if (isset($val[1]))

	{

		$atr .= ' style="color:' . $val[1] . '"';

	}



	$v = is_string($line) ? $line : $line->id;

	if ($this->value[0] && in_array($v, $this->value[0]))

	{

		$atr .= ' selected="selected"';

	}

	if($this->params->get('params.sql_source'))

	{

		if ($this->value[0] && array_key_exists($line->id, $this->value[0]))

		{

			$atr .= ' selected="selected"';

		}



		$value = $line->id;

		$text = $line->text;

	}

	else

	{

		$value = htmlspecialchars($line, ENT_COMPAT, 'UTF-8');

		$text = JText::_($val[0]);

	}



	?>

	<option value="<?php echo $value;?>" <?php echo $atr;?>><?php echo JText::_($text);?></option>



<?php endforeach; ?>

</select>

	<?php if($app):?>

		<span class="add-on"><?php echo $app;?></span>

	<?php endif; ?>

<br /><br />

	<?php if($labelmax):?>

		<span class="from-to"><?php echo $labelmax;?></span>

	<?php endif; ?>

	<?php if($prep):?>

		<span class="add-on"><?php echo $prep;?></span>

	<?php endif; ?>

<select name="jform[fields][<?php echo $this->id;?>][]" class="elements-list cobalt-chosen" id="form_field_list_<?php echo $this->id;?>_1" <?php echo $required . $style;?>>

	<option value=""><?php echo JText::_($this->params->get('params.'.($this->params->get('params.sql_source') ? "sql_" : null).'label', 'S_CHOOSEVALUE'));?></option>

<?php

$selected = ($this->value[1] ? $this->value[1] : $this->params->get('params.selected'));



if(!is_array($this->value[1])) settype($this->value[1], 'array');



foreach($this->values2 as $key => $line):

	$atr = '';

	if (is_string($line))

		$val = explode($this->params->get('params.color_separator', "^"), $line);

	if (isset($val[1]))

	{

		$atr .= ' style="color:' . $val[1] . '"';

	}



	$v = is_string($line) ? $line : $line->id;

	if ($this->value[1] && in_array($v, $this->value[1]))

	{

		$atr .= ' selected="selected"';

	}

	if($this->params->get('params.sql_source'))

	{

		if ($this->value[1] && array_key_exists($line->id, $this->value[1]))

		{

			$atr .= ' selected="selected"';

		}



		$value = $line->id;

		$text = $line->text;

	}

	else

	{

		$value = htmlspecialchars($line, ENT_COMPAT, 'UTF-8');

		$text = JText::_($val[0]);

	}



	?>

	<option value="<?php echo $value;?>" <?php echo $atr;?>><?php echo JText::_($text);?></option>



<?php endforeach; ?>

</select>

	<?php if($app):?>

		<span class="add-on"><?php echo $app;?></span>

	<?php endif; ?>

</div>